<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Mail;

use App\Mail\TestEmail as MailTest;
use App\Models\User;

class SendTestEmail extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'email:test {id}';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Send a test email';

	/**
	 * Execute the console command.
	 *
	 * @return mixed
	 */
	public function handle()
	{
		$uo = User::find($this->argument('id'));

		Mail::to($uo->email)
			->send(new MailTest($uo));
	}
}