<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Rennokki\QueryCache\Traits\QueryCacheable;

use App\Casts\CollectionOrNull;

class Dynamic extends Model
{
	use SoftDeletes,QueryCacheable;

	protected $casts = [
		'arguments' => CollectionOrNull::class,
		'next_at' => 'datetime:Y-m-d H:i:s',
		'start_date' => 'datetime:Y-m-d',
		'start_time' => 'datetime:H:i:s',
	];

	/* RELATIONS */

	public function address()
	{
		return $this->belongsTo(Address::class);
	}

	/* ATTRIBUTES */

	/* METHODS */
}