<?php

return [

	// When sending areafix/filefix messages, validate to addresses
	'areafilefix' => ['areafix','filefix','rexfix','areamgr'],

	// Determine if incoming messages are from bots
	'areabots' => array_merge(['sbbsecho'],['areafix','filefix','rexfix','areamgr']),

	// Directory to use for any data we want to store locally
	'dir' => env('FIDO_DIR', 'fido'),

	'dns_ns' => env('FIDO_DNS_NS', gethostname()),

	// Our Storage::disk() for files storage
	'file_disk' => env('FIDO_DIR_FILES', 's3'),

	// Do our BINKP/EMSI connections come via haproxy and haproxy protocol
	'haproxy' => env('FIDO_HAPROXY', FALSE),

	// Our Storage::disk() for locally stored data
	'local_disk' => env('FIDO_LOCAL_DIR','local'),

	// Default packet to use if a user hasnt defined a packet format for their BBS
	'packet_default' => env('FIDO_DEFAULT_PACKET', '2+'),

	// Do we keep packets after processing, if so we'll store them in a data formatted dir yyyymmdd
	'packet_keep' => env('FIDO_PACKET_KEEP', FALSE),

	// Size of packet before we decide to queue it for processing
	'queue_size' => env('FIDO_QUEUE_SIZE', 1000000),

	// Number of messages in a packet that will result in them being queued for processing
	'queue_msgs' => env('FIDO_QUEUE_MSGS', 50),

	// Strict mode enforces what address we present to uplinks, when we carry more than 1 address with different roles
	// When true, we'll only present a role that is higher than the node we are talking to
	'strict' => env('FIDO_STRICT',FALSE),
];