@php
use App\Classes\FTN\Message;
@endphp

<div class="row">
	<div class="col-4">
		TO: <strong class="highlight">{!! Message::tr($msg->to) !!}</strong> @if ($msg instanceof \App\Models\Netmail)(<strong class="highlight">{{ $msg->tftn->ftn }}</strong>)@endif
	</div>
	<div class="col-4">
		DATE: <strong class="highlight">{{ $msg->datetime->format('Y-m-d H:i:s') }}</strong>
	</div>
</div>

<div class="row pt-1">
	<div class="col-4">
		FROM: <strong class="highlight">{!! Message::tr($msg->from) !!}</strong> (<strong class="highlight">{{ $msg->fftn->ftn }}</strong>)
	</div>
	<div class="col-4">
		MSGID: <strong class="highlight">{{ $msg->msgid }}</strong>@if($x=\App\Models\Echomail::where('replyid',$msg->msgid)->count()) (<strong class="highlight">{{$x}}</strong> replies)@endif @if($msg->replyid)<br>REPLY: <strong class="highlight">{{ $msg->replyid }}</strong>@endif
	</div>
</div>

<div class="row pt-1 pb-2">
	<div class="col-4">
		SUBJECT: <strong class="highlight">{!! Message::tr($msg->subject) !!}</strong>
	</div>
	@if ($msg instanceof \App\Models\Echomail)
		<div class="col-4">
			ECHOAREA: <strong class="highlight">{{ $msg->echoarea->name }}</strong> (<strong class="highlight">{{ $msg->echoarea->domain->name }}</strong>)
		</div>
	@endif
</div>

<div class="row pb-2">
	<div class="col-8">
		<div class="p-2">
			<div id="canvas"></div>
		</div>
	</div>
</div>

@if ($msg instanceof \App\Models\Echomail)
	<div class="row pb-2">
		<div class="col-8">
			SEENBY: <br><strong class="highlight">{!! $msg->seenby->pluck('ftn2d')->join('</strong>, <strong class="highlight">') !!}</strong>
		</div>

		@if ($msg->rogue_seenby->count())
			<br><small>[<strong>NOTE</strong>: Some seen-by values couldnt be identified - ({{ $msg->rogue_seenby->join(',') }})]</small>
		@endif
	</div>
@endif

@if ($msg->flags & Message::FLAG_LOCAL)
	<div class="row pb-2">
		<div class="col-8">
			<strong class="highlight">Local message</strong>
		</div>
	</div>

@elseif ((! $msg->flags) || ($msg->flags & (Message::FLAG_INTRANSIT|Message::FLAG_RECD)))
	<!-- @todo for the nodes we export to, highlight those that we have actually sent it, vs those that havent received it yet -->
	<div class="row pb-2">
		<div class="col-8">
			PATH: <br><strong class="highlight">{!! $msg->pathorder()->join('</strong> -> <strong class="highlight">') !!}</strong>

			@if (($msg instanceof \App\Models\Echomail) && $msg->rogue_path->count())
				<br><small>[<strong>NOTE</strong>: Some path values couldnt be identified - ({{ $msg->rogue_path->join(',') }})]</small>
			@endif
		</div>
	</div>

	<div class="row pb-2">
		<div class="col-8">
			RECEIVED:<br>
			@if ($msg instanceof \App\Models\Netmail)
				@foreach ($msg->received as $path)
					<strong class="highlight">{{ $path->pivot->recv_pkt }}</strong> from <strong class="highlight">{{ $path->ftn }}</strong> {{ $msg->created_at }}
				@endforeach
			@elseif ($msg instanceof \App\Models\Echomail)
				<strong class="highlight">{{ ($x=$msg->path->sortBy('pivot.parent_id')->last())->pivot->recv_pkt }}</strong> from <strong class="highlight">{{ $x->ftn }}</strong> {{ $x->pivot->recv_at }}
			@endif
		</div>
	</div>
@endif

@section('page-scripts')
	<script type="text/javascript" src="{{ asset('ansilove/ansilove.js') }}"></script>

	<script type="text/javascript">
		$(document).ready(function() {
			var msg = new Uint8Array({!! json_encode(array_values(unpack('C*',str_replace("\r","\n",$msg->msg)))) !!});
			retina = window.devicePixelRatio > 1;

			AnsiLove.renderBytes(
				msg,
				function (canvas, sauce) {
					console.log(canvas);
					document.getElementById("canvas").appendChild(canvas);
				},
				{'font': '80x25', 'bits': 8, 'icecolors': 0, 'columns': 80}
			);
		});
	</script>

@append